import link from './link.js';
let dialog = {
    alert(txt){
        if(WindVane.isAvailable){
            var params = {
                // 警告框要显示的消息
                message: txt,
                // 警告框的确认按钮文本
                okbutton: '确定'
            };
            window.WindVane.call('WVUIDialog', 'alert', params, function(e) {
            }, function(e) {
                
            });
        }
        else{
            alert(txt);
        }
    },
    confirm(txt , fn){
        if(!WindVane.isAvailable){
            //alert(JSON.stringify(e.param));
            if(confirm(txt)){
                fn();
            }
            return;
        }
        let _index = new Date().getTime();
        let suc = function(e){
            if(e.param.type == '确定'){
                fn();
            }
            document.removeEventListener('wv.dialog', suc);
        }
        document.addEventListener('wv.dialog', suc, false);
        var params = {
            // 确认框要显示的消息
            message: txt,
            // 确认框的确认按钮文本
            okbutton: '确定',
            // 确认框的取消按钮文本
            canclebutton: '取消',
            // 确认框的索引
            _index: _index
        };
        window.WindVane.call('WVUIDialog', 'confirm', params, function(e) {
        }, function(e) {
            
        });
    },
    wait(){
        if(!WindVane.isAvailable){
            return;
        }
        window.WindVane.call('WVUI', 'showLoadingBox', {}, function(e) {
        }, function(e) {
            alert('failure: ' + JSON.stringify(e));
        });
        
    },
    waitEnd(){
        if(!WindVane.isAvailable){
            return;
        }
        window.WindVane.call('WVUI', 'hideLoadingBox', {}, function(e) {
        }, function(e) {
            alert('failure: ' + JSON.stringify(e));
        });
    },
    toast(txt){
        if(!WindVane.isAvailable){
            alert(txt);
            return;
        }
        var params = {
            // Toast 要显示的消息
            message: txt,
            // Toast 的持续时间
            duration: 3
        };
        window.WindVane.call('WVUIToast', 'toast', params, function(e) {
        }, function(e) {
            alert('failure: ' + JSON.stringify(e));
        });
    },
    menu(json , btns , fn){
        let listenFn = function(e){
            document.removeEventListener('wv.actionsheet', listenFn);
            fn(e.param._index , e.param.type);
        }
        document.addEventListener('wv.actionsheet', listenFn , false);
        var params = {
            // ActionSheet 的标题
            title: '',
            // ActionSheet 的索引
            _index: json,
            // ActionSheet 中显示的按钮
            buttons: btns
        };
        window.WindVane.call('WVUIActionSheet', 'show', params, function(e) {}, function(e) {});
    },
    popWindow(url , fn){
        let listenNativeBack = function(_key){
            let value = localStorage[_key];
            if(value){
                fn(value);
                delete localStorage[_key];
                return ;
            }
            else if(value == 'cancel'){
                return;
            }
            setTimeout(listenNativeBack.bind(null , _key) , 100);
        }
        let a = document.createElement('a');
        a.href = url;
        let absoluteUrl = lib.httpurl(a.href);
        let _key = 'popWindow_key_' + new Date().getTime();
        absoluteUrl.params['_key'] = _key;
        listenNativeBack(_key);
        link.openWindow(absoluteUrl.toString());
    },
    setNavigatorRightItem(title , fn){
        if(!WindVane.isAvailable){
            return;
        }
        let func = 'setNavigatorRightItem_' + new Date().getTime();
        window[func] = fn;
        var param = {
            title : title, //按钮名称
            func:func //点击调用函数
        }
        window.WindVane.call('WVIdleFishApi', 'setNavigatorRightItem', param, function(data){
        }, function(e) {
        });
    }

}
module.exports = dialog;




