var webpack = require('webpack');
var path = require('path');
var node_dir = __dirname + '/node_modules';

var ExtractTextPlugin = require('extract-text-webpack-plugin');

var asPath = process.cwd();

var config = {
  context: __dirname,
  addVendor: function (name, path) {
    this.resolve.alias[name] = path;
    this.module.noParse.push(new RegExp('^' + name + '$'));
  },
  hotDebugEntry:{
    //{{hotDebugEntry}}
  },
  entry: {
    //{{entry}}
  },
  resolve: {
    alias: {}
  },
  output: {
    path: path.resolve(__dirname, "build"),
    filename: '[name].bundle.js',
    publicPath: 'http://127.0.0.1:8080/build',
  },
  devtool: 'source-map', 
  module: {
    noParse: [],
    loaders: [{
      test: require.resolve("react"),
      loader: 'expose?React'
    }, {
      test: /\.js$/,
      loader: 'babel',
      include: [
        path.join(asPath, "src"),
        path.join(asPath, 'node_modules', '@ali', 'idle-ui'),
        path.join(asPath, 'node_modules', '@ali', 'idle-utils')
      ]
    }, {
      test: /\.less$/,
      loader: ExtractTextPlugin.extract('style-loader', 'css-loader!less-loader')
    }, {
      test: /\.(png|jpg|jpeg|gif|svg)$/,
      loader: '@ali/img-loader'
    }]
  },
  plugins: [
    new webpack.optimize.UglifyJsPlugin({
      minimize: true
    }),
    new webpack.DefinePlugin({
      'process.env': {
        'NODE_ENV': JSON.stringify('production')
      }
    }),
    new ExtractTextPlugin('./[name].min.css', {
      allChunks: false
    })
  ],
  hotDebugPlugins: [
    new ExtractTextPlugin('./[name].min.css', {
      allChunks: false
    }),
    new webpack.HotModuleReplacementPlugin()
  ]
};


module.exports = config;
